# BitShares Improvement Protocol

BSIP stands for BitShares Improvement Proposal. A BSIP is a design document
providing information to the BitShares community, or describing a new feature for
BitShares or its processes or environment. BSIPs provide a concise
technical specification of features and a rationale for them.

The distinct document [BSIP Purpose and Guidelines](bsip-0001.md) gives a more
detailed explanation.

# Available BSIPs

Number             | Title                              | Owner          | Type           | Status
------------------ | ---------------------------------- | -------------- | -------------- | -------
[1](bsip-0001.md)  | BSIP Purpose and Guidelines        | Fabian Schuh   | Informational  | Draft
[2](bsip-0002.md)  | Refund Create Order Fees on Cancel | Daniel Larimer | Protocol       | Accepted
[3](bsip-0003.md)  | Maker / Taker Market Fees Flag     | Daniel Larimer | Protocol       | Deferred
[4](bsip-0004.md)  | Distribute Market Fees on Core Asset to Referral Program | Daniel Larimer | Protocol | Draft
[5](bsip-0005.md)  | Expiring Votes for Witnesses       | Daniel Larimer | Protocol       | Draft
[6](bsip-0006.md)  | Market Maker Incentivization       | Daniel Larimer | Protocol       | Draft
[7](bsip-0007.md)  | Fee Backed Assets (FBA)            | Daniel Larimer | Protocol       | Installed
[8](bsip-0008.md)  | Privacy (STEALTH) Mode             | Daniel Larimer | Protocol       | Installed
[9](bsip-0009.md)  | Benefit Society                    | Fabian Schuh   | Protocol       | Draft
[10](bsip-0010.md) | Percentage-based transfer fee solution based on CER | Jakub Zarembinski | Protocol | Accepted
11                 | On Demand Voting                   | Daniel Larmier | Protocol       | Draft
12                 | Hardfork Procedure Proposal        | Fabian Schuh   | Informational  | Draft
13                 | Contract for Difference (CFD) trading | Frank Ahrens | Protocol      | Draft
14                 | Annual Membership price determined by the registrar | Jakub Zarembinski | Deferred
[15](bsip-0015.md) | Disable negative voting on workers | Daniel Larimer | Protocol       | Installed
[16](bsip-0016.md) | Optimization to Force Settlement Parameters of BitCNY | Jerry Liu | Protocol | Installed
[17](bsip-0017.md) | Revive BitAssets after global settlement | Peter Conrad | Protocol | Draft
